Bug 8134 - REGRESSION: dragging down from the middle of a text field does not select to end of field
Summary: REGRESSION: dragging down from the middle of a text field does not select to ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Darin Adler
URL:
Keywords: Regression
Depends on:
Blocks:
 
Reported: 2006-04-01 22:25 PST by Darin Adler
Modified: 2006-04-07 18:25 PDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2006-04-01 22:25:44 PST
This is a regression from the change to the new text fields. To reproduce, click in the middle of a text field and drag down. Note that it selects from where you began to the beginning of the field. But it should select from where you began to the end of the field instead.
Comment 1 Darin Adler 2006-04-01 22:28:26 PST
I see the same problem in reverse with RTL fields.
Comment 2 Darin Adler 2006-04-02 19:56:02 PDT
This is almost identical to bug 8116.
Comment 3 Maciej Stachowiak 2006-04-02 23:25:44 PDT
These are all text field regressions so they should all be P1.
Comment 4 Darin Adler 2006-04-06 00:57:56 PDT
I'll take a look at these.
Comment 5 Darin Adler 2006-04-06 08:55:53 PDT
Presumably another Selection::adjustForEditableContent problem.
Comment 6 Darin Adler 2006-04-07 18:25:48 PDT
I fixed this, but it doesn't fix all cases of bug 8116.